
QGIS Application - Bug report #13499

Editing algorithm properties collapses input and output trees in Processing Modeler

2015-10-03 07:36 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21544

Description

To reproduce:

    1. open a model

    2. expand the input and output trees of an algorithm

    3. edit the algorithm and press OK

--> the input and output trees collapse

This makes using the modeler quite annoying because the user has to always reexpand the trees.

Related issues:

Related to QGIS Application - Bug report # 9851: Processing - Toolbox tree vi... Closed 2014-03-24

Associated revisions

Revision 09f87c95 - 2015-10-06 04:06 PM - Victor Olaya

[processing] remember params/outputs collapsed stated when editing alg in modeler

fixes #13499

History

#1 - 2015-10-06 07:07 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"09f87c952a6d861de42759368641e0f8fb148d91".

#2 - 2015-10-07 10:59 AM - Anita Graser

- Status changed from Closed to Reopened

Sorry for the noise.

#3 - 2015-10-07 11:10 AM - Anita Graser

- Status changed from Reopened to Closed
